package com.engine.salary.enums;



/**
 * @description: 是、否
 * @author: xiajun
 * @modified By: xiajun
 * @date: Created in 10/28/21 5:50 PM
 * @version:v1.0
 */
public enum SalaryOnOffEnum implements BaseEnum<Integer> {

    ON(1, "是", 84967),
    OFF(0, "否", 84968);

    private int value;

    private String defaultLabel;

    private int labelId;

    SalaryOnOffEnum(int value, String defaultLabel, int labelId) {
        this.value = value;
        this.defaultLabel = defaultLabel;
        this.labelId = labelId;
    }

    @Override
    public Integer getValue() {
        return value;
    }

    @Override
    public String getDefaultLabel() {
        return defaultLabel;
    }

    @Override
    public Integer getLabelId() {
        return labelId;
    }
}
